<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxml="urn:schemas-microsoft-com:xslt" version="1.0">
	<xsl:output method="xml" encoding="utf-8"/>
	<xsl:decimal-format name="european" decimal-separator="." grouping-separator=","/>
	<xsl:param name="mode"/>
	<xsl:variable name="Rev">
		<!-- Revision van deze cust.xsl -->
		<xsl:value-of select="substring(translate('$Revision$', '$ ', ''), 10)"/>
	</xsl:variable>

	<xsl:template match="rapport">
		<!-- ******************************************************************* -->
		<!-- *****KAS-request: GetAllDivisies                                    -->
		<!-- ******************************************************************* -->
		<xsl:if test="@view='uwva_v_kas_getdiv'">
			<xsl:variable name="sorted">
				<xsl:for-each select="//data_row">
					<xsl:sort select="DIV_OMS"/>
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:variable>

			<GetAllDivisiesResponse xmlns="http://mplus.nl/UWV/">
				<GetAllDivisiesResult>
					<divisies xmlns="">
						<xsl:for-each select="msxml:node-set($sorted)/data_row">
							<xsl:element name="divisie">
								<xsl:attribute name="naam">
									<xsl:value-of select="DIV_OMS"/>
								</xsl:attribute>
							</xsl:element>
						</xsl:for-each>
					</divisies>
				</GetAllDivisiesResult>
			</GetAllDivisiesResponse>
		</xsl:if>
		<!-- ******************************************************************* -->
		<!-- *****KAS-requests: GetAllAfdelingen+                                -->
		<!--                    GetAfdelingenBinnenDivisie                       -->
		<!-- ******************************************************************* -->
		<!-- Wordt GetAllAfdelingen eigenlijk wel aangeroepen vanuit KAS???      -->
		<xsl:if test="@view='uwva_v_kas_getafd'">
			<xsl:variable name="sorted">
				<xsl:for-each select="//data_row">
					<xsl:sort select="AFD_OMS"/>
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:variable>

			<xsl:choose>
				<xsl:when test="$mode='AllAfdelingen'">
					<!--*MAG NIET*xsl:element name="GetAllAfdelingenResponse">
						<xsl:attribute name="xmlns">http://mplus.nl/UWV/</xsl:attribute-->
					<GetAllAfdelingenResponse xmlns="http://mplus.nl/UWV/">
						<GetAllAfdelingenResult>
							<!--*MAG NIET*xsl:element name="afdelingen">
								<xsl:attribute name="xmlns"/-->
							<afdelingen xmlns="">
								<xsl:for-each select="msxml:node-set($sorted)/data_row">
									<afdeling>
										<naam><xsl:value-of select="AFD_OMS"/></naam>
										<divisie><xsl:value-of select="DIV_OMS"/></divisie>
									</afdeling>
								</xsl:for-each>
							</afdelingen>
							<!--/xsl:element-->
						</GetAllAfdelingenResult>
					</GetAllAfdelingenResponse>
					<!--/xsl:element-->
				</xsl:when>
				<xsl:when test="$mode='AfdelingenBinnenDivisie'">
					<!--*MAG NIET*xsl:element name="GetAfdelingenBinnenDivisieResponse">
						<xsl:attribute name="xmlns">http://mplus.nl/UWV/</xsl:attribute-->
					<GetAfdelingenBinnenDivisieResponse xmlns="http://mplus.nl/UWV/">
						<GetAfdelingenBinnenDivisieResult>
							<!--*MAG NIET*xsl:element name="afdelingen">
								<xsl:attribute name="xmlns"/-->
							<afdelingen xmlns="">
								<xsl:for-each select="msxml:node-set($sorted)/data_row">
									<afdeling>
										<naam><xsl:value-of select="AFD_OMS"/></naam>
										<divisie><xsl:value-of select="DIV_OMS"/></divisie>
									</afdeling>
								</xsl:for-each>
							</afdelingen>
							<!--/xsl:element-->
						</GetAfdelingenBinnenDivisieResult>
					</GetAfdelingenBinnenDivisieResponse>
					<!--/xsl:element-->
				</xsl:when>
				<xsl:otherwise>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<!-- ******************************************************************* -->
		<!-- *****KAS-requests: GetPersonen+                                     -->
		<!--                    GetPersonenBinnenDivisie+                        -->
		<!--                    GetPersonenBinnenAfdeling                        -->
		<!-- ******************************************************************* -->
		<xsl:if test="@view='uwva_v_kas_getprs'">
			<xsl:variable name="sorted">
				<xsl:for-each select="//data_row">
					<xsl:sort select="DIV_OMS"/>
					<xsl:sort select="AFD_OMS"/>
					<xsl:sort select="NAAM_FULL"/>
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:variable>
			<xsl:variable name="aantal">
				<xsl:value-of select="sum(//AANTAL)"/>
			</xsl:variable>

			<xsl:choose>
				<xsl:when test="$mode='Personen'">
					<!--*MAG NIET*xsl:element name="GetPersonenResponse">
						<xsl:attribute name="xmlns">http://mplus.nl/UWV/</xsl:attribute-->
					<GetPersonenResponse xmlns="http://mplus.nl/UWV/">
						<xsl:element name="GetPersonenResult">
							<!--*MAG NIET*xsl:element name="personen">
								<xsl:attribute name="xmlns"/-->
							<personen xmlns="">
								<xsl:for-each select="msxml:node-set($sorted)/data_row">
									<xsl:element name="persoon">
										<xsl:attribute name="personeelsnummer">
											<xsl:value-of select="PERSLID_NR"/>
										</xsl:attribute>
										<xsl:element name="naam">
											<!--xsl:value-of select="NAAM_FULL"/-->
											<xsl:if test="VOORLETTERS!=''">
												<xsl:value-of select="VOORLETTERS"/>
												<xsl:text> </xsl:text>
											</xsl:if>
											<xsl:if test="TUSSENVOEGSEL!=''">
												<xsl:value-of select="TUSSENVOEGSEL"/>
												<xsl:text> </xsl:text>
											</xsl:if>
											<xsl:value-of select="ACHTERNAAM"/>
										</xsl:element>
										<xsl:element name="divisie">
											<xsl:value-of select="DIV_OMS"/>
										</xsl:element>
										<xsl:element name="afdeling">
											<xsl:value-of select="AFD_OMS"/>
										</xsl:element>
									</xsl:element>
								</xsl:for-each>
								<xsl:if test="$aantal&gt;74">
									<xsl:element name="resultaat">
										<xsl:attribute name="meer">true</xsl:attribute>
									</xsl:element>
								</xsl:if>
							</personen>
							<!--/xsl:element-->
					</xsl:element>
					</GetPersonenResponse>
					<!--/xsl:element-->
				</xsl:when>

				<xsl:when test="$mode='PersonenBinnenDivisie'">
					<!--*MAG NIET*xsl:element name="GetPersonenBinnenDivisieResponse">
						<xsl:attribute name="xmlns">http://mplus.nl/UWV/</xsl:attribute-->
					<GetPersonenBinnenDivisieResponse xmlns="http://mplus.nl/UWV/">
						<xsl:element name="GetPersonenBinnenDivisieResult">
							<!--*MAG NIET*xsl:element name="personen">
								<xsl:attribute name="xmlns"/-->
							<personen xmlns="">
								<xsl:for-each select="msxml:node-set($sorted)/data_row">
									<xsl:element name="persoon">
										<xsl:attribute name="personeelsnummer">
											<xsl:value-of select="PERSLID_NR"/>
										</xsl:attribute>
										<xsl:element name="naam">
    										<!--xsl:value-of select="NAAM_FULL"/-->
    										<xsl:if test="VOORLETTERS!=''">
    											<xsl:value-of select="VOORLETTERS"/>
    											<xsl:text> </xsl:text>
    										</xsl:if>
    										<xsl:if test="TUSSENVOEGSEL!=''">
    											<xsl:value-of select="TUSSENVOEGSEL"/>
    											<xsl:text> </xsl:text>
    										</xsl:if>
    										<xsl:value-of select="ACHTERNAAM"/>
										</xsl:element>
										<xsl:element name="divisie">
											<xsl:value-of select="DIV_OMS"/>
										</xsl:element>
										<xsl:element name="afdeling">
											<xsl:value-of select="AFD_OMS"/>
										</xsl:element>
									</xsl:element>
								</xsl:for-each>
								<xsl:if test="$aantal&gt;74">
									<xsl:element name="resultaat">
										<xsl:attribute name="meer">true</xsl:attribute>
									</xsl:element>
								</xsl:if>
							</personen>
							<!--/xsl:element-->
					</xsl:element>
					</GetPersonenBinnenDivisieResponse>
					<!--/xsl:element-->
				</xsl:when>

				<xsl:when test="$mode='PersonenBinnenAfdeling'">
					<!--*MAG NIET*xsl:element name="GetPersonenBinnenAfdelingResponse">
						<xsl:attribute name="xmlns">http://mplus.nl/UWV/</xsl:attribute-->
					<GetPersonenBinnenAfdelingResponse xmlns="http://mplus.nl/UWV/">
						<xsl:element name="GetPersonenBinnenAfdelingResult">
							<!--*MAG NIET*xsl:element name="personen">
								<xsl:attribute name="xmlns"/-->
							<personen xmlns="">
								<xsl:for-each select="msxml:node-set($sorted)/data_row">
									<xsl:element name="persoon">
										<xsl:attribute name="personeelsnummer">
											<xsl:value-of select="PERSLID_NR"/>
										</xsl:attribute>
										<xsl:element name="naam">
    										<!--xsl:value-of select="NAAM_FULL"/-->
    										<xsl:if test="VOORLETTERS!=''">
    											<xsl:value-of select="VOORLETTERS"/>
    											<xsl:text> </xsl:text>
    										</xsl:if>
    										<xsl:if test="TUSSENVOEGSEL!=''">
    											<xsl:value-of select="TUSSENVOEGSEL"/>
    											<xsl:text> </xsl:text>
    										</xsl:if>
    										<xsl:value-of select="ACHTERNAAM"/>
										</xsl:element>
										<xsl:element name="divisie">
											<xsl:value-of select="DIV_OMS"/>
										</xsl:element>
										<xsl:element name="afdeling">
											<xsl:value-of select="AFD_OMS"/>
										</xsl:element>
									</xsl:element>
								</xsl:for-each>
								<xsl:if test="$aantal&gt;74">
									<xsl:element name="resultaat">
										<xsl:attribute name="meer">true</xsl:attribute>
									</xsl:element>
								</xsl:if>
							</personen>
							<!--/xsl:element-->
					</xsl:element>
					</GetPersonenBinnenAfdelingResponse>
					<!--/xsl:element-->
				</xsl:when>
				<xsl:otherwise>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>

	<!-- SOAP envelope met daarin de gewenste 'payload' -->
	<xsl:template match="facilitor">
		<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
			<soap:Body>
				<!-- De 'payload' in response op KAS-request! -->
				<xsl:apply-templates select="rapport"/>
			</soap:Body>
		</soap:Envelope>
	</xsl:template>

	<!-- Root -->
	<xsl:template match="/">
		<xsl:apply-templates select="facilitor"/>
	</xsl:template>
</xsl:stylesheet>
